Page MenuHomePhabricator

Organize and coordinate Wikimedia's participation in Google Code-In 2016
Closed, ResolvedPublic

Description

Monday, Oct 24 Orgs can apply to be mentoring organizations
Monday, Nov 07 Mentoring organizations announced
Monday, Nov 28 Contest opens
Friday, Jan 13 Deadline to claim new tasks
Monday, Jan 16 Contest ends

Creating this task to be prepared and for awareness

The entire Wikimedia community benefits from GCI.
A WMF Developer Advocate (and maybe the Community-Tech team) might be partners in crime.

From last year:

Event Timeline

Qgil added a subscriber: Qgil.Sep 6 2016, 12:55 PM

It would be useful to think how to connect GCi to our annual goals (programs 7 and 8).

I am not suggesting to make GCi depend on these goals, but I guess there are potential microtasks that could help pushing (if only a little) these goals?

Aklapper raised the priority of this task from Lowest to Low.Sep 12 2016, 12:14 PM
Aklapper raised the priority of this task from Low to Normal.Oct 10 2016, 7:33 PM
Aklapper updated the task description. (Show Details)

GCI 2016 has been announced today. See task description.

Created https://www.mediawiki.org/wiki/Google_Code-in_2016 and Google-Code-In-2016 for the start.
(I'm following https://www.mediawiki.org/wiki/Google_Code-in/Admins .)

Want to sort out T146960 a bit more in the next days before announcing more widely in our community.

As the new developer advocate in the Technical Collaboration team, @srishakatux is available to help in Google-Code-In-2016. Andre and Srishti, please figure out the details. If there is a specific task that can be assigned to Srishti as quarterly goal. good. If helping means 101 little things, that is good too.

The registration for organizations is open since yesterday, has the WMF already applied? :)

Wikimedia has been accepted as an organization in Google Code-in 2016: https://codein.withgoogle.com/organizations/

Qgil awarded a token.Nov 8 2016, 3:11 PM
Aklapper closed this task as Resolved.Jan 23 2017, 2:45 PM

All subtasks resolved. (T154620: Summarize and document Lessons Learned from GCI 2016 is left to do but that's not part of "organize and coordinate".) Hence also closing this meta task.
Thanks everyone for the last two months!